Module ThreadDemo

    Sub DisplayA()
        For I As Integer= 0 To 100
            Console.Write("A")
        Next
    End Sub

    Sub DisplayB()
        For I As Integer= 0 To 100
            Console.Write("B")
        Next
    End Sub

    Sub DisplayC()
        For I As Integer= 0 To 100
            Console.Write("C")
        Next
    End Sub

    Sub Main()
        Dim A As System.Threading.Thread
        Dim B As System.Threading.Thread
        Dim C As System.Threading.Thread

        A = New Threading.Thread(AddressOf DisplayA)
        B = New Threading.Thread(AddressOf DisplayB)
        C = New Threading.Thread(AddressOf DisplayC)

        A.Start()
        B.Start()
        C.Start()

        Console.ReadLine()  
    End Sub

End Module
